Skip to main content
GET
/
v2
/
team
/
datasets
/
{id}
/
datasources
List data sources
curl --request GET \
  --url https://app.ai.relyt.cn/app/api/v2/team/datasets/{id}/datasources \
  --header 'x-pd-api-key: <api-key>'
import requests

url = "https://app.ai.relyt.cn/app/api/v2/team/datasets/{id}/datasources"

headers = {"x-pd-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};

fetch('https://app.ai.relyt.cn/app/api/v2/team/datasets/{id}/datasources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 0,
  "data": {
    "total_items": 1,
    "page_size": 10,
    "page_number": 1,
    "records": [
      {
        "id": "datasource-cadsgfsdagasgadsg",
        "dataset_id": "dataset-dagasdgasgasg",
        "name": "test.csv",
        "type": "FILE",
        "status": "synching"
      }
    ]
  }
}
请求示例:
curl --request GET \
  --url https://app.ai.relyt.cn/app/api/v2/team/datasets/{id}/datasources?user_id=tmm-dafasdfasdfasdf \
  --header 'x-pd-api-key: <api-key>'
import requests

url = "https://app.ai.relyt.cn/app/api/v2/team/datasets/{id}/datasources?user_id=tmm-dafasdfasdfasdf"

headers = {"x-pd-api-key": "<api-key>"}

response = requests.request("GET", url, headers=headers)

print(response.text)
返回示例:
200
{
  "code": 0,
  "data": {
    "total_items": 1,
    "page_size": 10,
    "page_number": 1,
    "records": [
      {
        "id": "datasource-cadsgfsdagasgadsg",
        "dataset_id": "dataset-dagasdgasgasg",
        "name": "test.csv",
        "type": "FILE",
        "status": "synching"
      }
    ]
  }
}

Authorizations

x-pd-api-key
string
header
required

Headers

x-pd-external-trace-id
string

您本地系统中设置的 Trace ID,至多支持 128 个字符。当请求发生错误时,可以将此 ID 提供给 Relyt AI 团队,协助进行故障排查。

Path Parameters

id
string
required

目标数据集 ID。

如需查询您有访问权限的数据集列表,请调用 GET /v2/team/datasets 接口。

Query Parameters

page_number
integer

分页返回的起始页码。如不指定,则使用默认值 1

page_size
integer

每页返回的记录数量。如不指定,则使用默认值 10

status
enum<string>

数据源状态。指定该参数后,只有处于指定状态的数据源才会被返回。可选值包括:

  • invalid:等待处理中。
  • synching:正在处理中。
  • synched:已成功同步。

如果未指定,将返回所有数据源。

可以通过英文逗号分隔的列表指定多个状态,匹配任何状态的数据源将被返回。

Available options:
synching,
invalid,
synched
user_id
string
required

用户 ID,即您在组织中的唯一身份标识。

Response

200 - application/json
code
integer
required

状态码。0 表示操作成功。其它值则表示操作失败。如需进行错误排查,请参阅 错误码

data
object
required

返回的数据源分页列表。